javax.xml.transform

## Interface SourceLocator

- All Known Subinterfaces:
    DOMLocator, ExpressionNode
  All Known Implementing Classes:
    And, AttributeIterator, AxesWalker, BasicTestIterator, Bool, ChildIterator, ChildTestIterator, ContextMatchStepPattern, DecimalFormatProperties, DescendantIterator, Div, ElemApplyImport, ElemApplyTemplates, ElemAttribute, ElemAttributeSet, ElemCallTemplate, ElemChoose, ElemComment, ElemCopy, ElemCopyOf, ElemElement, ElemEmpty, ElemExsltFuncResult, ElemExsltFunction, ElemExtensionCall, ElemExtensionDecl, ElemExtensionScript, ElemFallback, ElemForEach, ElemIf, ElemLiteralResult, ElemMessage, ElemNumber, ElemOtherwise, ElemParam, ElemPI, ElemSort, ElemTemplate, ElemTemplateElement, ElemText, ElemTextLiteral, ElemUnknown, ElemUse, ElemValueOf, ElemVariable, ElemVariablePsuedo, ElemWhen, ElemWithParam, Equals, Expression, FilterExprIterator, FilterExprIteratorSimple, FilterExprWalker, FuncBoolean, FuncCeiling, FuncConcat, FuncContains, FuncCount, FuncCurrent, FuncDoclocation, FuncDocument, FuncExtElementAvailable, FuncExtFunction, FuncExtFunctionAvailable, FuncFalse, FuncFloor, FuncFormatNumb, FuncGenerateId, FuncId, FuncKey, FuncLang, FuncLast, FuncLocalPart, FuncNamespace, FuncNormalizeSpace, FuncNot, FuncNumber, FuncPosition, FuncQname, FuncRound, FuncStartsWith, FuncString, FuncStringLength, FuncSubstring, FuncSubstringAfter, FuncSubstringBefore, FuncSum, FuncSystemProperty, Function, Function2Args, Function3Args, FunctionDef1Arg, FunctionMultiArgs, FunctionOneArg, FunctionPattern, FuncTranslate, FuncTrue, FuncUnparsedEntityURI, Gt, Gte, KeyDeclaration, KeyIterator, KeyRefIterator, LocPathIterator, Lt, Lte, MatchPatternIterator, Minus, Mod, Mult, NamespaceAlias, Neg, NodeLocator, NodeSequence, NodeTest, NotEquals, Number, OneStepIterator, OneStepIteratorForward, Operation, Or, OutputProperties, Plus, PredicatedNodeTest, ProcessorCharacters, ProcessorExsltFuncResult, ProcessorExsltFunction, ProcessorImport, ProcessorInclude, ProcessorLRE, ProcessorStylesheetDoc, ProcessorStylesheetElement, ProcessorTemplateElem, ProcessorText, ProcessorUnknown, Quo, ReverseAxesWalker, SAXSourceLocator, SelfIteratorNoPredicate, StepPattern, String, Stylesheet, StylesheetComposed, StylesheetRoot, UnaryOperation, UnionChildIterator, UnionPathIterator, UnionPattern, Variable, VariableSafeAbsRef, WalkingIterator, WalkingIteratorSorted, WhiteSpaceInfo, WhitespaceInfoPaths, XBoolean, XBooleanStatic, XNodeSet, XNodeSetForDOM, XNull, XNumber, XObject, XRTreeFrag, XRTreeFragSelectWrapper, XSLTElementProcessor, XString, XStringForChars, XStringForFSB, XUnresolvedVariable, XUnresolvedVariableSimple

      public interface SourceLocator

  This interface is primarily for the purposes of reporting where an error occurred in the XML source or transformation instructions.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnNumber()` Return the character position where the current document event ends.
    `int` | `getLineNumber()` Return the line number where the current document event ends.
    `java.lang.String` | `getPublicId()` Return the public identifier for the current document event.
    `java.lang.String` | `getSystemId()` Return the system identifier for the current document event.

- - ### Method Detail

    - #### getPublicId

          java.lang.String getPublicId()

      Return the public identifier for the current document event.

      The return value is the public identifier of the document entity or of the external parsed entity in which the markup that triggered the event appears.

      Returns:
        A string containing the public identifier, or null if none is available.
      See Also:
        `getSystemId()`

    - #### getSystemId

          java.lang.String getSystemId()

      Return the system identifier for the current document event.

      The return value is the system identifier of the document entity or of the external parsed entity in which the markup that triggered the event appears.

      If the system identifier is a URL, the parser must resolve it fully before passing it to the application.

      Returns:
        A string containing the system identifier, or null if none is available.
      See Also:
        `getPublicId()`

    - #### getLineNumber

          int getLineNumber()

      Return the line number where the current document event ends.

      Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

      The return value is an approximation of the line number in the document entity or external parsed entity where the markup that triggered the event appears.

      Returns:
        The line number, or -1 if none is available.
      See Also:
        `getColumnNumber()`

    - #### getColumnNumber

          int getColumnNumber()

      Return the character position where the current document event ends.

      Warning: The return value from the method is intended only as an approximation for the sake of error reporting; it is not intended to provide sufficient information to edit the character content of the original XML document.

      The return value is an approximation of the column number in the document entity or external parsed entity where the markup that triggered the event appears.

      Returns:
        The column number, or -1 if none is available.
      See Also:
        `getLineNumber()`

Copyright © 2014 Apache XML Project. All Rights Reserved.